# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaRssNamespace

    java.lang.Object
      com.google.gdata.data.media.mediarss.MediaRssNamespace

    public class MediaRssNamespace

extends java.lang.Object

GData definitions for the Yahoo media: namespace.

Field Summary
`static com.google.gdata.util.common.xml.XmlNamespace` `NS` Namespace object.
`static java.lang.String` `PREFIX` Standard namespace prefix.
`static java.lang.String` `URI` Namespace URI

Constructor Summary
`MediaRssNamespace()`

Method Summary
`static void` `declareAll(ExtensionProfile profile)` Extends given profile with Yahoo media RSS extensions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI

    public static final java.lang.String URI

  Namespace URI

  See Also:
    Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

  Standard namespace prefix.

  See Also:
    Constant Field Values

### NS

    public static final com.google.gdata.util.common.xml.XmlNamespace NS

  Namespace object.

Constructor Detail

### MediaRssNamespace

    public MediaRssNamespace()

Method Detail

### declareAll

    public static void declareAll(ExtensionProfile profile)

  Extends given profile with Yahoo media RSS extensions.

  Parameters:
    `profile` - the profile to be extended